Bug 201928 - EWS should run resultsdbpy tests
Summary: EWS should run resultsdbpy tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-18 11:53 PDT by Aakash Jain
Modified: 2020-02-11 07:46 PST (History)
3 users (show)

See Also:


Attachments
Patch (6.05 KB, patch)
2020-02-05 17:30 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (7.19 KB, patch)
2020-02-05 17:45 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (7.58 KB, patch)
2020-02-06 07:38 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (7.73 KB, patch)
2020-02-06 17:03 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-09-18 11:53:09 PDT
EWS should run resultsdbpy tests. This would make sure that someone doesn't accidentally break resultsdbpy.

See: https://trac.webkit.org/browser/webkit/trunk/Tools/resultsdbpy/resultsdbpy/run-tests
Comment 1 Aakash Jain 2019-09-18 11:53:45 PDT
<rdar://problem/55109441>
Comment 2 Jonathan Bedard 2020-02-05 17:30:00 PST
Created attachment 389909 [details]
Patch
Comment 3 Aakash Jain 2020-02-05 17:35:53 PST
Looks good to me. unit-tests needs minor change. Can you also deploy it on uat instance and verify.
Comment 4 Jonathan Bedard 2020-02-05 17:45:08 PST
Created attachment 389917 [details]
Patch
Comment 5 Aakash Jain 2020-02-06 04:11:52 PST
services_paths in CheckPatchRelevance needs to be updated as well. At:
https://trac.webkit.org/browser/webkit/trunk/Tools/BuildSlaveSupport/ews-build/steps.py#L237
Comment 6 Jonathan Bedard 2020-02-06 07:38:21 PST
Created attachment 389955 [details]
Patch
Comment 7 Jonathan Bedard 2020-02-06 17:03:48 PST
Created attachment 390032 [details]
Patch
Comment 8 Aakash Jain 2020-02-06 18:37:25 PST
Sample run: https://ews-build.webkit-uat.org/#/builders/1/builds/522
Comment 9 WebKit Commit Bot 2020-02-07 08:19:09 PST
Comment on attachment 390032 [details]
Patch

Clearing flags on attachment: 390032

Committed r256021: <https://trac.webkit.org/changeset/256021>
Comment 10 WebKit Commit Bot 2020-02-07 08:19:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Aakash Jain 2020-02-11 05:14:53 PST
Deployed on production server, seems to be working fine, e.g.: https://ews-build.webkit.org/#/builders/20/builds/13802
Comment 12 Jonathan Bedard 2020-02-11 07:46:39 PST
(In reply to Aakash Jain from comment #11)
> Deployed on production server, seems to be working fine, e.g.:
> https://ews-build.webkit.org/#/builders/20/builds/13802

Great!

I think that there is a question about if we should enable the full set of database tests (which take about 20 minutes), and I wanted to mention that possibility here so we have a record of the reason why I chose to only run the mock tests, which is basically because the full set of database tests take too long.